{%- set OS = clientConfig.clientConfig.get('OS') -%}
{%- set storage = clientConfig.clientConfig.get('storage') -%}
{%- set locales = clientConfig.clientConfig.get('locales') -%}
{%- set auth = clientConfig.clientConfig.get('auth') -%}
#!/bin/sh
mkdir -p /usr/lib/apt-setup/generators
cat >/usr/lib/apt-setup/generators/02IgnoreRepoIsUnsigned <<-EOF
mkdir -p /target/etc/apt/apt.conf.d
cat >/target/etc/apt/apt.conf.d/02IgnoreRepoIsUnsigned <<-EOT
Acquire::AllowInsecureRepositories true;
Acquire::AllowDowngradeToInsecureRepositories true;
Acquire::Check-Valid-Until false;
APT::Get::AllowUnauthenticated true;
Aptitude::CmdLine::Ignore-Trust-Violations true;
EOT
EOF
chmod +x /usr/lib/apt-setup/generators/02IgnoreRepoIsUnsigned

{% include storage.class + '.preseed.pre.j2' %}

